For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
        • GETList Users
        • GETFetch a User
        • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush NotificationsUsers

List Users

GET
https://comms.twilio.com/v1/PushNotifications/Users
GET
/v1/PushNotifications/Users
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.users.list({});
9}
10main();
1{
2 "users": [
3 {
4 "id": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
5 "createdAt": "2024-01-15T14:15:22Z",
6 "updatedAt": "2024-01-15T14:15:22Z",
7 "deletedAt": null,
8 "related": []
9 },
10 {
11 "id": "comms_pushnotificationuser_08fzqspvwy6nq801h9krwprkeee",
12 "createdAt": "2024-01-16T10:00:00Z",
13 "updatedAt": "2024-01-16T10:00:00Z",
14 "deletedAt": null,
15 "related": []
16 }
17 ],
18 "pagination": {
19 "next": null,
20 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
21 }
22}
This operation fetches a paginated list of Push Notification Users.
Was this page helpful?
Previous

Fetch a User

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
userslist of objects
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error